/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * The OpenSearch Contributors require contributions made to
 * this file be licensed under the Apache-2.0 license or a
 * compatible open source license.
 */

package org.opensearch.index.engine;

/**
 * Interface that is aware of a component lifecycle.
 */
public interface LifecycleAware {

    /**
     * Checks to ensure if the component is an open state
     */
    void ensureOpen();
}
